unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Tick, StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Tick1: TTick;
    Memo1: TMemo;
    btnRun: TButton;
    btnNote: TButton;
    btnStop: TButton;
    btnShowNotes: TButton;
    chkactive: TCheckBox;
    Edit1: TEdit;
    Timer1: TTimer;
    Label1: TLabel;
    rgSource: TRadioGroup;
    Bevel1: TBevel;
    rgTickformat: TRadioGroup;
    RichEdit1: TRichEdit;
    Label2: TLabel;
    Label3: TLabel;
    btnBorrar: TButton;
    Panel1: TPanel;
    Label4: TLabel;
    Panel2: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    procedure btnRunClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure btnShowNotesClick(Sender: TObject);
    procedure btnNoteClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure rgSourceClick(Sender: TObject);
    procedure rgTickformatClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnBorrarClick(Sender: TObject);
    procedure Label5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnRunClick(Sender: TObject);
begin
   timer1.Enabled:=true;
   Tick1.Run;
   chkactive.Checked:=Tick1.Active;
   memo1.Clear;
   memo1.Lines.Add('Notas :'+inttostr(tick1.NotesCount));
end;

procedure TForm1.btnStopClick(Sender: TObject);
begin
   timer1.Enabled:=false;
   Tick1.Stop;
   chkActive.Checked:=Tick1.Active;
   memo1.Clear;
   memo1.Lines.Add('Notas :'+inttostr(tick1.NotesCount));
end;

procedure TForm1.btnShowNotesClick(Sender: TObject);
begin
   memo1.Clear;
   memo1.Lines.Add(Tick1.GetAllNotes);
end;

procedure TForm1.btnNoteClick(Sender: TObject);
begin
   Tick1.Note(edit1.Text);
   memo1.Clear;
   memo1.Lines.Add('Notas :'+inttostr(tick1.NotesCount));
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
   if Tick1.Active then
      if Tick1.Notes.TickSource=tsInterval then
      begin
         label1.Caption:=formatdatetime('dd/mm/yyyy',Tick1.AsDateTime(Tick1.interval));
         label1.Caption:=label1.caption+#13+formatdatetime('hh:nn:ss:zzz',Tick1.AsDateTime(Tick1.interval));
      end
      else
      begin
         label1.Caption:=formatdatetime('dd/mm/yyyy',Tick1.AsDateTime(Tick1.current));
         label1.Caption:=label1.caption+#13+formatdatetime('hh:nn:ss:zzz',Tick1.AsDateTime(Tick1.current));
      end

end;

procedure TForm1.rgSourceClick(Sender: TObject);
begin
   if rgSource.ItemIndex=0 then
   begin
      Tick1.Notes.TickSource:=tsSystem;
      Label2.Caption:='Tiempo'#13'transcurrido'#13'desde'#13'ARRANQUE';
   end
   else
   begin
      Tick1.Notes.TickSource:=tsInterval;
      Label2.Caption:='Tiempo'#13'transcurrido'#13'desde'#13'ACTIVACIN';
   end;
end;

procedure TForm1.rgTickformatClick(Sender: TObject);
begin
   case rgTickFormat.ItemIndex of
      0:Tick1.Notes.TickFormat:=anMilliseconds;
      1:Tick1.Notes.TickFormat:=anseconds;
      2:Tick1.Notes.TickFormat:=anMinutes;
      3:Tick1.Notes.TickFormat:=anHours;
   end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   richedit1.Lines.LoadFromFile(ExtractFilePath(Application.ExeName)+'Notas.rtf');
   Label2.Caption:='Tiempo'#13'transcurrido'#13'desde'#13'ARRANQUE';

end;

procedure TForm1.btnBorrarClick(Sender: TObject);
begin
   tick1.ClearNotes;
   memo1.Clear;
   memo1.Lines.Add('Notas :'+inttostr(tick1.NotesCount));
end;

procedure TForm1.Label5Click(Sender: TObject);
begin
   Close;
end;

end.
